function dgigas_pixvalue

rootdir = 'C:\Users\Martin How\OneDrive - University of Bristol\marvefiles5\manuscripts\2017_Ceph_apparent_motion\Frontiers_2ndSub\cuttledynamicdisp\Dosidicus_gigas';
c = clock;
avifile = '3.1.1_Dosidicus_gigas_JulianFinn.mp4';
[~,fname,~] = fileparts(avifile);
datfile = [fname '.mat'];

%Read video
vid = VideoReader(fullfile(rootdir,avifile));
load(fullfile(rootdir,datfile));

%Extract pixel values from video
nframes = s.nframes;
pt = round(s.point);
pval = [];
for ff = 1:nframes
	im = readFrame(vid);
	if pt(ff,1)>3 && pt(ff,2)>3 && pt(ff,2)<vid(1).height-2 && pt(ff,1)<vid(1).width-2
		pbit = im(pt(ff,2)-2:pt(ff,2)+2,pt(ff,1)-2:pt(ff,1)+2,2);
		pval(ff) = mean(pbit(:));
	else pval(ff)=nan;
	end
end

tline = (1:nframes) ./ s.framerate;
figure(200); clf;set(gcf,'menubar','figure')
plot(tline,pval,'-k');
pval2 = pval(~isnan(pval));



Fs = s.framerate;             % Sampling frequency
T = 1/Fs;                     % Sample time
L = nframes;                  % Length of signal
t = (0:L-1)*T;                % Time vector

NFFT = 2^nextpow2(L); % Next power of 2 from length of y
Y = fft(pval2,NFFT)/L;
f = Fs/2*linspace(0,1,NFFT/2+1);
y = 2*abs(Y(1:NFFT/2+1));

% Plot single-sided amplitude spectrum.
figure(100); clf; set(gcf,'menubar','figure')
title(datfile)
xlabel('Frequency (Hz)')
ylabel('|Y(f)|')
set(gca,'xlim',[1 5],'xtick',[0:1:5]);


plot(f,y)



%Find maxumum value between 1.5 and 5
indm = f>=1.5&f<=5;
fpeak = f(y==max(y(indm)))


