function dynamicdisp

%Octopus laqueus

fdir = '/home/mhow/data/dynamicdisps/';
fname = 'Olaqueus02.pos';

fid = fopen([fdir fname]);
temp = fgetl(fid);
temp = fgetl(fid);
temp = fgetl(fid);
C = fscanf(fid, '%g %g %g %g %g %g %g',[7 inf]);
fclose(fid);

C = C';

frame = C(:,1);
mantle = C(:,2:3);
background = C(:,4:5);
wave = C(:,6:7);


tvec(:,1) = background(2:end,1)-background(1:end-1,1);
tvec(:,2) = background(2:end,2)-background(1:end-1,2);
[~,bveclength] = cart2pol(tvec(:,1),tvec(:,2));
velocity = bveclength(2:end)-bveclength(1:end-1);

figure(2); clf
plot(abs(velocity));

ind = abs(velocity)>30;
hold on
plot(ind.*100,'.k');
hold off;
ind = find(ind);



for cc = 1:size(ind,1)
corrvec = background(ind(cc)+1,:)-background(ind(cc),:);
    background(ind(cc)+1:end,1) = ...
        background(ind(cc)+1:end,1) - corrvec(1);
    background(ind(cc)+1:end,2) = ...
        background(ind(cc)+1:end,2) - corrvec(2);  
end
ind = mantle(:,1)~=0;
mantle(ind,1) = mantle(ind,1) - background(ind,1);
mantle(ind,2) = mantle(ind,2) - background(ind,2);
ind = wave(:,1)~=0;
wave(ind,1) = wave(ind,1) - background(ind,1);
wave(ind,2) = wave(ind,2) - background(ind,2);

%animal and wave velocity
avec(:,1) = mantle(2:end,1)-mantle(1:end-1,1);
avec(:,2) = mantle(2:end,2)-mantle(1:end-1,2);
wvec(:,1) = wave(2:end,1)-wave(1:end-1,1);
wvec(:,2) = wave(2:end,2)-wave(1:end-1,2);

[adir avel] = cart2pol(avec(:,1),avec(:,2));
avel(avel>500)=0;
[wdir wvel] = cart2pol(wvec(:,1),wvec(:,2));
wvel(wvel>500)=0;

%Velocity smoother
sfactor = 2;
avel2 = avel;wvel2 = wvel;
for ii = 1+sfactor:size(avel,1)-sfactor
    avel2(ii,:) = mean(avel(ii-sfactor:ii+sfactor,:));
    wvel2(ii,:) = mean(wvel(ii-sfactor:ii+sfactor,:));
end
avel = avel2; clear avel2;
wvel = wvel2; clear wvel2;
figure(2); clf
plot(mantle(:,1),mantle(:,2),'r')
hold on;
plot(wave(:,1),wave(:,2),'b')
hold off;

%Find start and end of each wave
wc = 0;
for ii = 1:size(wave,1)-1
    if wave(ii)==0 && wave(ii+1)~=0
        wc = wc+1;
        wflist(wc,1) = frame(ii+1);
        wilist(wc,1) = ii+1;
    elseif wave(ii)~=0 && wave(ii+1)==0
        wflist(wc,2) = frame(ii);
        wilist(wc,2) = ii;
    end
end

%Summary for all waves
bf = 50; af = 50;
wilist
for ii = 1:size(wilist,1)
    sf = wilist(ii,1); ef = wilist(ii,2);
    dat(ii,:) = avel(sf-bf:sf+af);
   bs(ii) = ef-sf;
end
figure(4); clf
set(gcf,'color','w','menubar','figure')
hold on
rectangle('position',[0 0 max(bs)./25 18],...
    'facecolor',[0.8 0.8 0.8],'linestyle','none');
line([0 0],[0 18],'color','k','linestyle','--')
plot([bf*-1:af]./25,mean(dat),'k');
plot([bf*-1:af]./25,mean(dat)-(std(dat)./sqrt(size(wilist,1))),...
    'color',[0.5 0.5 0.5]);
plot([bf*-1:af]./25,mean(dat)+(std(dat)./sqrt(size(wilist,1))),...
    'color',[0.5 0.5 0.5]);
hold off
set(gca,'xtick',[-2:2],'ytick',[0:5:20])
ylim([0 18])



figure(1); clf
for pp = 1:2
    subplot(2,1,pp);
set(gcf,'color','w','menubar','figure')
hold on
for ii = 1:size(wflist,1)
    r(ii) = rectangle('position',[wflist(ii,1)./25 0 (wflist(ii,2)-wflist(ii,1))./25 max(avel)],...
        'facecolor',[0.8 0.8 0.8],'linestyle','none');
end
set(r(1))
ind = mantle(:,1)~=0;ind = ind(1:end-1);
plot(frame(ind)./25,avel(ind),'k');
hold off
switch pp
    case 1
        xlim([0 50])
    case 2
        xlim([80 130])
end
end

%background
[temp bveclength] = cart2pol(background(:,1),background(:,2));
velocity = bveclength(2:end)-bveclength(1:end-1);

figure(3); clf
plot(abs(velocity));
