function latimanus_pwspeed
%Octopus laqueus

fdir = 'C:\Users\Martin How\OneDrive - University of Bristol\marvefiles5\manuscripts\2017_Ceph_apparent_motion\Frontiers_2ndSub\cuttledynamicdisp\Sepia_latimanus';
fname = 'LatimanusBC01_deint_d.mat';

load(fullfile(fdir,fname));
eye = s.point(:,1:2); 
band1 = s.point(:,3:4);
band2 = s.point(:,5:6);
band3 = s.point(:,7:8);
prey = s.point(:,9:10);
attack = s.point(:,9)~=0 & s.point(:,10)~=0;

eye(:,1) = smooth(eye(:,1),3);
eye(:,2) = smooth(eye(:,2),3);

figure(1); clf;
plot(eye(:,1),eye(:,2),'-k')
%error
hold on
plot(band1(:,1),band1(:,2),'-r')
plot(band2(:,1),band2(:,2),'-b')
plot(band3(:,1),band3(:,2),'-g')
hold off


%Extract individual bars
figure(2); clf;
for bb = 1:3
	if bb == 1, band = band1; end
	if bb == 2, band = band2; end
	if bb == 3, band = band3; end
	
	inds = find(band(1:end-1,1)==0 & band(2:end,1)~=0);
	inds = inds+1;
	inde = find(band(1:end-1,1)~=0 & band(2:end,1)==0);
	if band(end,1)~=0, inde=[inde;length(band)]; end
	
	[inds,inde]
	
	for ii = 1:length(inds)
		bandtemp = band(inds(ii):inde(ii),:);
		
		svec = bandtemp(2:end,:)-bandtemp(1:end-1,:);
		spd(ii,1)=inds(ii)./60;
		[Th,R]=cart2pol(svec(:,1),svec(:,2));
		spd(ii,2)=mean(R)*60;
		
		%Head length
		head = band(inde(ii),:)-band(inds(ii),:);
		[Th R] = cart2pol(head(:,1),head(:,2));
		spd(ii,3) = R;
	end
	hold on
	plot(spd(:,1),spd(:,2),'ok')
	hold off
	if bb==1, spd1 = spd; end	
	if bb==2, spd2 = spd; end
	if bb==3, spd3 = spd; end
end

%Extract prey escape events
prey = find(prey(:,1)~=0)./60;
prey(:,2) = 0.1;
spd = [spd1;spd2;spd3];
spd = sortrows(spd,1);
spd(:,2) = smooth(spd(:,2),3);
%head size conversion factor: 10cm
cf = 10/mean(spd(:,3));
spd(:,2)=spd(:,2).*cf;


figure(1); clf;
set(gcf,'color','w','menubar','figure');

plot(spd(:,1),spd(:,2),'-k');
for ll = 1:size(prey,1);
	hold on
	plot([prey(ll,1) prey(ll,1)],[0 100],'--k')
	hold off
end
ylim([0 90])
	

